## Index

### Classes

- Request
- Response
- TimeoutError

### Functions

- fetch

## Functions

### fetch

- fetch(req: RequestInfo, init?: RequestInit): Promise<Response>

- - Defined in fetch.ts:18

  Starts the process of fetching a network request.

  See https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch

  global

  #### Parameters

  - ##### req: RequestInfo

    The direct URL or Request for the resource you wish to fetch

  - ##### Optional init: RequestInit

    Options for the request

  #### Returns Promise<Response>

  A Promise that resolves to a `Response` object

Generated using TypeDoc